# PlantToxicity

This Ruby Gem contains a CLI that can provide details about common plants, including their toxicity to certain pets (dogs, cats, and horses). Based on information from the ASPCA website, the user can obtain a list of plants for any letter of the alphabet (A-Z), and then additional details about specific plants in the list can be requested. These details may include, as available: other common names, scientific name, toxicity, non-toxicity, and clinical signs of poisoning.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'plant_toxicity'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install plant_toxicity

## Usage

After installation, type 'plant-toxicity' and then follow the prompts.

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/'vmcmiller-72282'/plant_toxicity. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
